org.apache.geode.distributed

## Interface DistributedMember

- All Superinterfaces:
    java.lang.Comparable<DistributedMember>

      public interface DistributedMember
      extends java.lang.Comparable<DistributedMember>

  This is the fundamental representation of a member in a GemFire distributed system. A process becomes a member by calling `DistributedSystem.connect(java.util.Properties)`.
  Since:
    GemFire 5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DurableClientAttributes` | `getDurableClientAttributes()` Returns the durable attributes for this client.
    `java.util.List<java.lang.String>` | `getGroups()` Returns the groups this member belongs to.
    `java.lang.String` | `getHost()` Returns the canonical name of the host machine for this member.
    `java.lang.String` | `getId()` Returns a unique identifier for this member.
    `java.lang.String` | `getName()` Returns this member's name.
    `int` | `getProcessId()` Returns the process id for this member.
    `java.util.Set<Role>` | `getRoles()` Deprecated. Roles is scheduled to be removed

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns this member's name. The member name is set using the "name" gemfire property. Returns "" if the member does not have a name.
      Since:
        GemFire 7.0

    - #### getHost

          java.lang.String getHost()

      Returns the canonical name of the host machine for this member.

    - #### getRoles

          java.util.Set<Role> getRoles()

      Deprecated. Roles is scheduled to be removed
      Returns the Roles that this member performs in the system. Note that the result will contain both groups and roles.

    - #### getGroups

          java.util.List<java.lang.String> getGroups()

      Returns the groups this member belongs to. A member defines the groups it is in using the "groups" gemfire property. Note that the deprecated "roles" gemfire property are also treated as groups so this result will contain both groups and roles.
      Returns:
        a list of groups that this member belongs to.

    - #### getProcessId

          int getProcessId()

      Returns the process id for this member. This may return zero if the platform or configuration does not allow native access to process info.

    - #### getId

          java.lang.String getId()

      Returns a unique identifier for this member.

    - #### getDurableClientAttributes

          DurableClientAttributes getDurableClientAttributes()

      Returns the durable attributes for this client.